Bug 206300 - Pango errata candidate crashes when opening Arabic fonts
Pango errata candidate crashes when opening Arabic fonts
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pango (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 11:33 EDT by Bastien Nocera
Modified: 2010-01-29 02:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-29 02:03:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash.html (102 bytes, application/octet-stream)
2006-09-13 11:33 EDT, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2006-09-13 11:33:56 EDT
pango-1.6.0-10

Between 1.6.0-9 and 1.6.0-10, a crasher sneaked in following this changelog entry:
---8<---
* Mon Jul 24 2006 Peter Jones <pjones@redhat.com> - 1.6.0-10

- Use newer FreeType APIs.
---8<---

Launching any application using Pango, and opening the attached file will crash
in Pango with a stack trace similar to:
GNU gdb Red Hat Linux (6.3.0.0-1.132.EL4rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/tls/libthread_db.so.1".

Core was generated by `/usr/lib/firefox-1.5.0.5/firefox-bin'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/firefox-1.5.0.5/libmozjs.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libmozjs.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libmozjs.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libxpcom.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libxpcom.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libxpcom.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libxpcom_core.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libxpcom_core.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libxpcom_core.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libplds4.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libplds4.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libplds4.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libplc4.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libplc4.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libplc4.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libnspr4.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libnspr4.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libnspr4.so
Reading symbols from /lib/tls/libpthread.so.0...done.
Loaded symbols for /lib/tls/libpthread.so.0
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libgtk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib/libgdk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib/libatk-1.0.so.0...done.
Loaded symbols for /usr/lib/libatk-1.0.so.0
Reading symbols from /usr/lib/libgdk_pixbuf-2.0.so.0...done.
Loaded symbols for /usr/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib/libpangoxft-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangoxft-1.0.so.0
Reading symbols from /usr/lib/libpangox-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangox-1.0.so.0
Reading symbols from /usr/lib/libpango-1.0.so.0...done.
Loaded symbols for /usr/lib/libpango-1.0.so.0
Reading symbols from /usr/lib/libgobject-2.0.so.0...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libgmodule-2.0.so.0...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /usr/lib/libglib-2.0.so.0...done.
Loaded symbols for /usr/lib/libglib-2.0.so.0
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /lib/tls/libm.so.6...done.
Loaded symbols for /lib/tls/libm.so.6
Reading symbols from /usr/lib/libstdc++.so.6...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/tls/libc.so.6...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/X11R6/lib/libXrandr.so.2...done.
Loaded symbols for /usr/X11R6/lib/libXrandr.so.2
Reading symbols from /usr/X11R6/lib/libXi.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXi.so.6
Reading symbols from /usr/X11R6/lib/libXinerama.so.1...done.
Loaded symbols for /usr/X11R6/lib/libXinerama.so.1
Reading symbols from /usr/X11R6/lib/libXft.so.2...done.
Loaded symbols for /usr/X11R6/lib/libXft.so.2
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libfontconfig.so.1...done.
Loaded symbols for /usr/lib/libfontconfig.so.1
Reading symbols from /usr/X11R6/lib/libXcursor.so.1...done.
Loaded symbols for /usr/X11R6/lib/libXcursor.so.1
Reading symbols from /usr/X11R6/lib/libXrender.so.1...done.
Loaded symbols for /usr/X11R6/lib/libXrender.so.1
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /usr/lib/libpangoft2-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/lib/libexpat.so.0...done.
Loaded symbols for /usr/lib/libexpat.so.0
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2...done.
Loaded symbols for /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/gconv/ISO8859-1.so...done.
Loaded symbols for /usr/lib/gconv/ISO8859-1.so
Reading symbols from /usr/lib/gconv/UTF-16.so...done.
Loaded symbols for /usr/lib/gconv/UTF-16.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libbrowserdirprovider.so...Reading symbols
from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libbrowserdirprovider.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libbrowserdirprovider.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libchrome.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libchrome.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libchrome.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libpref.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libpref.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libpref.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libnecko.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libnecko.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libnecko.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libmozz.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libmozz.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libmozz.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libi18n.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libi18n.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libi18n.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libuconv.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libuconv.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libuconv.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libxpconnect.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libxpconnect.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libxpconnect.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libjar50.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libjar50.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libjar50.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libwidget_gtk2.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libwidget_gtk2.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libwidget_gtk2.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libgkgfx.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libgkgfx.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libgkgfx.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libgtkxtbin.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libgtkxtbin.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libgtkxtbin.so
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/lib/gtk-2.0/2.4.0/engines/libbluecurve.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.4.0/engines/libbluecurve.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libtoolkitcomps.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libtoolkitcomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libtoolkitcomps.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libembedcomponents.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libembedcomponents.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libembedcomponents.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libcaps.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libcaps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libcaps.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/librdf.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/librdf.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/librdf.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libsystem-pref.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libsystem-pref.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libsystem-pref.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libappcomps.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libappcomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libappcomps.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libnsappshell.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libnsappshell.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libnsappshell.so
Reading symbols from /usr/lib/libgconf-2.so.4...done.
Loaded symbols for /usr/lib/libgconf-2.so.4
Reading symbols from /usr/lib/libORBit-2.so.0...done.
Loaded symbols for /usr/lib/libORBit-2.so.0
Reading symbols from /usr/lib/libgthread-2.0.so.0...done.
Loaded symbols for /usr/lib/libgthread-2.0.so.0
Reading symbols from /usr/lib/libpopt.so.0...done.
Loaded symbols for /usr/lib/libpopt.so.0
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libcommandlines.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libcommandlines.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libcommandlines.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libgfx_gtk.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libgfx_gtk.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libgfx_gtk.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libgfxpsshar.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libgfxpsshar.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libgfxpsshar.so
Reading symbols from /usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libdocshell.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libdocshell.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libdocshell.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libimglib2.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libimglib2.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libimglib2.so
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libgnome-2.so.0...done.
Loaded symbols for /usr/lib/libgnome-2.so.0
Reading symbols from /usr/lib/libgnomevfs-2.so.0...done.
Loaded symbols for /usr/lib/libgnomevfs-2.so.0
Reading symbols from /usr/lib/libbonobo-2.so.0...done.
Loaded symbols for /usr/lib/libbonobo-2.so.0
Reading symbols from /usr/lib/libbonobo-activation.so.4...done.
Loaded symbols for /usr/lib/libbonobo-activation.so.4
Reading symbols from /usr/lib/libesd.so.0...done.
Loaded symbols for /usr/lib/libesd.so.0
Reading symbols from /usr/lib/libaudiofile.so.0...done.
Loaded symbols for /usr/lib/libaudiofile.so.0
Reading symbols from /usr/lib/libxml2.so.2...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /lib/libssl.so.4...done.
Loaded symbols for /lib/libssl.so.4
Reading symbols from /lib/libcrypto.so.4...done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /usr/lib/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libk5crypto.so.3...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/tls/librt.so.1...done.
Loaded symbols for /lib/tls/librt.so.1
Reading symbols from /usr/lib/libORBitCosNaming-2.so.0...done.
Loaded symbols for /usr/lib/libORBitCosNaming-2.so.0
Reading symbols from /lib/libasound.so.2...done.
Loaded symbols for /lib/libasound.so.2
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libgklayout.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libgklayout.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libgklayout.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libwebbrwsr.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libwebbrwsr.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libwebbrwsr.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libpermissions.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libpermissions.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libpermissions.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libcookie.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libcookie.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libcookie.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libpipboot.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libpipboot.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libpipboot.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/liboji.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/liboji.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/liboji.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libjsj.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libjsj.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libjsj.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libremoteservice.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libremoteservice.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libremoteservice.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libhtmlpars.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libhtmlpars.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libhtmlpars.so
Reading symbols from /usr/lib/pango/1.4.0/modules/pango-basic-fc.so...done.
Loaded symbols for /usr/lib/pango/1.4.0/modules/pango-basic-fc.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libbrowsercomps.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libbrowsercomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libbrowsercomps.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libxpcom_compat.so...Reading
symbols from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libxpcom_compat.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libxpcom_compat.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libtxmgr.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libtxmgr.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libtxmgr.so
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libsearchservice.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libsearchservice.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libsearchservice.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libimgicon.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libimgicon.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libimgicon.so
Reading symbols from /usr/lib/libgnomeui-2.so.0...done.
Loaded symbols for /usr/lib/libgnomeui-2.so.0
Reading symbols from /usr/lib/libbonoboui-2.so.0...done.
Loaded symbols for /usr/lib/libbonoboui-2.so.0
Reading symbols from /usr/lib/libgnomecanvas-2.so.0...done.
Loaded symbols for /usr/lib/libgnomecanvas-2.so.0
Reading symbols from /usr/lib/libart_lgpl_2.so.2...done.
Loaded symbols for /usr/lib/libart_lgpl_2.so.2
Reading symbols from /usr/lib/libgnome-keyring.so.0...done.
Loaded symbols for /usr/lib/libgnome-keyring.so.0
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libpipnss.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libpipnss.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libpipnss.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libsmime3.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libsmime3.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libsmime3.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libssl3.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libssl3.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libssl3.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libnss3.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/libnss3.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libnss3.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libsoftokn3.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libsoftokn3.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libsoftokn3.so
Reading symbols from /usr/lib/firefox-1.5.0.5/libnssckbi.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.5/libnssckbi.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/libnssckbi.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libeditor.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libeditor.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libeditor.so
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
Reading symbols from
/usr/lib/firefox-1.5.0.5/components/libmozgnome.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libmozgnome.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libmozgnome.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libnecko2.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libnecko2.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libnecko2.so
Reading symbols from /usr/lib/firefox-1.5.0.5/components/libmork.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.5/components/libmork.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.5/components/libmork.so
Reading symbols from /usr/lib/pango/1.4.0/modules/pango-arabic-fc.so...done.
Loaded symbols for /usr/lib/pango/1.4.0/modules/pango-arabic-fc.so
#0  0x004057a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) where
#0  0x004057a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x006846f4 in raise () from /lib/tls/libpthread.so.0
#2  0x08055e7e in nsProfileLock::FatalSignalHandler (signo=6848500) at
nsProfileLock.cpp:206
#3  <signal handler called>
#4  0x0073dfe9 in FT_Realloc () from /usr/lib/libfreetype.so.6
#5  0x0042fc88 in Make_ClassRange (cd=0xa42ccf4, start=3, end=196, class=1,
memory=0xa0c4ad8)
    at ftxgdef.c:862
#6  0x0042fdd6 in TT_GDEF_Build_ClassDefinition (gdef=0xa42cce8, num_glyphs=459, 
    glyph_count=232, glyph_array=0xa22d948, class_array=0xa22db20) at ftxgdef.c:954
#7  0x0044345a in pango_ot_info_get_gdef (info=0x9f479f8) at pango-ot-info.c:271
#8  0x00443568 in pango_ot_info_get_gsub (info=0x9f479f8) at pango-ot-info.c:318
#9  0x0044374c in get_tables (info=) at pango-ot-info.c:366
#10 0x004437ef in pango_ot_info_find_script (info=0x9f479f8,
table_type=PANGO_OT_TABLE_GSUB, 
    script_tag=1634885986, script_index=0xbfebfa90) at pango-ot-info.c:417
#11 0x02e708c4 in arabic_engine_shape (engine=0xa21f4c0, font=0xa115ce0, 
    text=0x9f41e60 "اÙ\204عÙ\206صرÙ\212Ù\210Ù\206
اÙ\204Ù\205ساÙ\201رÙ\212Ù\206 عÙ\204Ù\212 Ù\205تÙ\206
اÙ\204طاءرات", length=68, analysis=0xa3db054, glyphs=0xa3eaa78)
    at arabic-fc.c:106
#12 0x001c4913 in _pango_engine_shape_shape (engine=0xa21f4c0, font=0xa115ce0, 
    text=0x9f41e60 "اÙ\204عÙ\206صرÙ\212Ù\210Ù\206
اÙ\204Ù\205ساÙ\201رÙ\212Ù\206 عÙ\204Ù\212 Ù\205تÙ\206
اÙ\204طاءرات", length=168577752, analysis=0xa3db054, glyphs=0xa3eaa78)
    at pango-engine.c:73
#13 0x001d360a in pango_shape (text=0xa0c4ad8 "", length=168577752,
analysis=0xa3db054, 
    glyphs=0xa3eaa78) at shape.c:47
#14 0x001c9327 in shape_run (line=0xa42de40, state=0xbfebfd64, item=0xa3db048)
    at pango-layout.c:2639
#15 0x001c98c2 in process_item (layout=0xa36d5a8, line=0xa42de40,
state=0xbfebfd64, force_fit=1, 
    no_break_at_end=0) at pango-layout.c:2730
#16 0x001cafc2 in pango_layout_check_lines (layout=0xa36d5a8) at pango-layout.c:2914
#17 0x001ccb73 in pango_layout_get_line (layout=0xa36d5a8, line=0) at
pango-layout.c:1007
<snip>
Comment 1 Bastien Nocera 2006-09-13 11:33:57 EDT
Created attachment 136164 [details]
crash.html
Comment 2 Behdad Esfahbod 2006-09-13 11:52:05 EDT
That change should have not been shipped.  It was made after pjones changing
FreeType's API/ABI to fix a security bug.  But since breaking ABI was not
acceptable, we worked out another solution to the security problem and rolled
back and properly fixed FreeType.  This update to Pango was not supposed to get
out, but it seems it did.  It should be simply rolled back.
Comment 4 Parag Nemade 2010-01-29 02:03:55 EST
I assume this is already fixed.

Note You need to log in before you can comment on or make changes to this bug.